/// <reference types="react" />
import * as SelectPrimitive from '@radix-ui/react-select';
declare const SelectRoot: import("react").FC<SelectPrimitive.SelectProps>;
declare const SelectValue: import("react").ForwardRefExoticComponent<SelectPrimitive.SelectValueProps & import("react").RefAttributes<HTMLSpanElement>>;
declare const SelectTrigger: ({ children, className }: {
    children: any;
    className: any;
}) => import("react/jsx-runtime").JSX.Element;
declare const SelectContent: ({ children }: {
    children: any;
}) => import("react/jsx-runtime").JSX.Element;
declare const SelectItem: ({ value, children }: {
    value: any;
    children: any;
}) => import("react/jsx-runtime").JSX.Element;
type SelectProps = {
    options: {
        label: string;
        value: string;
    }[];
    onChange: (value: string) => void;
    value: string;
    className?: string;
    children?: React.ReactNode;
};
declare const Select: ({ options, onChange, value, children, className }: SelectProps) => import("react/jsx-runtime").JSX.Element;
export { Select, SelectTrigger, SelectRoot, SelectValue, SelectContent, SelectItem };
//# sourceMappingURL=Select.d.ts.map